Bug 716584 - Cannot install smb-common with yum in rhel 5.5
Cannot install smb-common with yum in rhel 5.5
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.5
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: James Antill
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-24 23:35 EDT by Matias Colli
Modified: 2014-01-21 01:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 11:06:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matias Colli 2011-06-24 23:35:02 EDT
Description of problem:
Cannot install smb-common with yum in rhel 5.5

Version-Release number of selected component (if applicable):
yum-3.2.22-26.el5
yum-metadata-parser-1.1.2-3.el5
yum-updatesd-0.9-2.el5
yum-security-1.1.16-13.el5_4.1
yum-utils-1.1.16-13.el5_4.1
yum-rhn-plugin-0.5.4-15.el5


How reproducible:


Steps to Reproduce:
1.
# yum install samba-common
Loaded plugins: rhnplugin, security
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package samba-common.i386 0:3.0.33-3.29.el5_6.2 set to be updated
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_6.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package         Arch      Version                Repository               Size
================================================================================
Installing:
 samba-common    i386      3.0.33-3.29.el5_6.2    rhel-x86_64-server-5    6.7 M
 samba-common    x86_64    3.0.33-3.29.el5_6.2    rhel-x86_64-server-5    6.8 M

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade       0 Package(s)

Total size: 14 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libpopt.so.0 is needed by samba-common-3.0.33-3.29.el5_6.2.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

  
Actual results:
ERROR with rpm_check_debug vs depsolve:
libpopt.so.0 is needed by samba-common-3.0.33-3.29.el5_6.2.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])


Expected results:


Additional info:
Comment 1 James Antill 2011-06-27 14:35:26 EDT
 Almost certainly you have pre-existing problems in your rpmdb, run:

rpm -Va --nofiles --nodigest

...and fix them.
Comment 2 Matias Colli 2011-06-29 10:48:54 EDT
Don't works, I received the same error.
Comment 3 James Antill 2011-06-29 11:06:50 EDT
Your responses makes no sense ... run the command and paste the output.

If the command is telling you there are problems, then you need to fix those (and likely stop using --nodeps to get them). You'll probably need to fix things by removing or installing packages ... if you aren't sure which, call support, they can probably walk you through it.
Comment 4 Matias Colli 2013-07-08 08:51:20 EDT
rpm -Va --nofiles --nodigest

Matias Colli

Note You need to log in before you can comment on or make changes to this bug.